package cn.stylefeng.guns.zjxl.model;

import com.fasterxml.jackson.annotation.JsonSetter;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/***
 * @ClassName: ZjxlBanner
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/10/30 17:24
 */
@Entity
@Table(name = "zjxl_banner")
public class ZjxlBanner {

    private String bannerId;

    private String bannerName;

    private String bannerImage;

    private Integer bannerType;

    private String bannerTypeUrl;

    private Integer bannerSort;

    private Integer bannerIsLine;

    private String bannerCreateTime;

    @Id
    public String getBannerId() {
        return bannerId;
    }

    public void setBannerId(String bannerId) {
        this.bannerId = bannerId;
    }

    public String getBannerName() {
        return bannerName;
    }

    public void setBannerName(String bannerName) {
        this.bannerName = bannerName;
    }

    public String getBannerImage() {
        return bannerImage;
    }

    public void setBannerImage(String bannerImage) {
        this.bannerImage = bannerImage;
    }

    public Integer getBannerType() {
        return bannerType;
    }

    public void setBannerType(Integer bannerType) {
        this.bannerType = bannerType;
    }

    public String getBannerTypeUrl() {
        return bannerTypeUrl;
    }

    public void setBannerTypeUrl(String bannerTypeUrl) {
        this.bannerTypeUrl = bannerTypeUrl;
    }

    public Integer getBannerSort() {
        return bannerSort;
    }

    public void setBannerSort(Integer bannerSort) {
        this.bannerSort = bannerSort;
    }

    public Integer getBannerIsLine() {
        return bannerIsLine;
    }

    public void setBannerIsLine(Integer bannerIsLine) {
        this.bannerIsLine = bannerIsLine;
    }

    public String getBannerCreateTime() {
        return bannerCreateTime;
    }

    public void setBannerCreateTime(String bannerCreateTime) {
        this.bannerCreateTime = bannerCreateTime;
    }
}
